<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h3 class="widgettitle">',
        'after_title' => '</h3>',
    ));

add_action ('init','my_theme_init');
function my_theme_init ()
{
load_theme_textdomain ('retweet');
}
?>
<?php
function custom_comments($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    global $commentcount;
    if(!$commentcount) $commentcount = 0;
    $commentcount ++;
    global $commentalt;
    ($commentalt == "alt")?$commentalt="":$commentalt="alt";   
?>
    <li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
	<div class="listable">
	<span class="author <?php echo $commentalt?>"><?php echo get_avatar( $comment, 48 ); ?></span>
	</div>
	<div class="status-body">
		<strong><?php comment_author_link( ); ?></strong><?php if ($comment->comment_approved == '0') : ?><p><small>Your comment is awaiting moderation.</small></p><?php endif; ?><?php comment_text( ); ?>
		<span class="meta">
			<?php comment_date( ); ?> <?php comment_time(); ?> | <a href="#comment-<?php comment_ID( ); ?>" class="commenturl">#<?php echo $commentcount ?></a> <?php comment_reply_link(array('depth' => $depth, 'max_depth'=> $args['max_depth'], 'reply_text' => "@"));?>
		</span>
		<span class="actions">
		<?php edit_comment_link('','<span class="edit_button">','</span>'); ?>
		<span class="reply_button"><?php comment_reply_link(array('depth' => $depth, 'max_depth'=> $args['max_depth'], 'reply_text' => ""));?></span>
		</span>
	</div>
<?php } ?>
<?php
class ClassicOptions {
	function getOptions() {

		$options = get_option('classic_options');
		if (!is_array($options)) {
			$options['retweet_notice'] = false;
			$options['retweet_notice_content'] = '';
			$options['retweet_reply'] = false;
			$options['retweet_twitter_username'] = '';
			$options['retweet_twitter_number'] = '3';
			$options['retweet_design_switch'] = '';
			$options['retweet_design_background'] = '';
			$options['retweet_design_background_tile'] = false;
			$options['retweet_design_bgcolor'] = '#000000';
			$options['retweet_design_text'] = '#15564D';
			$options['retweet_design_links'] = '#A11B3D';
			$options['retweet_design_sidebar'] = '#EFF3A5';
			$options['retweet_design_sidebarborder'] = '#DBE080';
			$options['retweet_round_border'] = false;
			$options['retweet_logo'] = false;
			$options['retweet_wide'] = false;
			$options['retweet_description'] = '';
			$options['retweet_rss'] = '';
			update_option('classic_options', $options);
		}
		return $options;
	}
 
	function init() {
		if(isset($_POST['classic_save'])) {
			$options = ClassicOptions::getOptions();
			if ($_POST['retweet_notice']) {
				$options['retweet_notice'] = (bool)true;
			} else {
				$options['retweet_notice'] = (bool)false;
			}
			if ($_POST['retweet_reply']) {
				$options['retweet_reply'] = (bool)true;
			} else {
				$options['retweet_reply'] = (bool)false;
			}
			if ($_POST['retweet_round_border']) {
				$options['retweet_round_border'] = (bool)true;
			} else {
				$options['retweet_round_border'] = (bool)false;
			}
			if ($_POST['retweet_logo']) {
				$options['retweet_logo'] = (bool)true;
			} else {
				$options['retweet_logo'] = (bool)false;
			}
			if ($_POST['retweet_design_background_tile']) {
				$options['retweet_design_background_tile'] = (bool)true;
			} else {
				$options['retweet_design_background_tile'] = (bool)false;
			}
			if ($_POST['retweet_wide']) {
				$options['retweet_wide'] = (bool)true;
			} else {
				$options['retweet_wide'] = (bool)false;
			}
			$options['retweet_design_switch'] = $_POST['retweet_design_switch'];
			$options['retweet_notice_content'] = stripslashes($_POST['retweet_notice_content']);
			$options['retweet_twitter_username'] = stripslashes($_POST['retweet_twitter_username']);
			$options['retweet_twitter_number'] = stripslashes($_POST['retweet_twitter_number']);
			$options['retweet_design_background'] = stripslashes($_POST['retweet_design_background']);
			$options['retweet_design_bgcolor'] = stripslashes($_POST['retweet_design_bgcolor']);
			$options['retweet_design_text'] = stripslashes($_POST['retweet_design_text']);
			$options['retweet_design_links'] = stripslashes($_POST['retweet_design_links']);
			$options['retweet_design_sidebar'] = stripslashes($_POST['retweet_design_sidebar']);
			$options['retweet_design_sidebarborder'] = stripslashes($_POST['retweet_design_sidebarborder']);
			$options['retweet_description'] = stripslashes($_POST['retweet_description']);
			$options['retweet_rss'] = stripslashes($_POST['retweet_rss']);
			update_option('classic_options', $options);
		} else {
			ClassicOptions::getOptions();
		}
		add_theme_page("Retweet Options", "Retweet Options", 'edit_themes', basename(__FILE__), array('ClassicOptions', 'display'));
	}
	function display() {
		$options = ClassicOptions::getOptions();

		$styleArray = array(
		"" => __("Default Style", 'retweet'),
        "01" => __("&quot;Sun hand&quot; Style", 'retweet'),
        "02" => __("&quot;I like to fly&quot; Style", 'retweet'),
        "03" => __("&quot;Fantasy Island&quot; Style", 'retweet'),
        "04" => __("&quot;Photosynthesis&quot; Style", 'retweet'),
        "custom" => __("Custom Style", 'retweet'),
		);
?>
<form action="#" method="post" enctype="multipart/form-data" name="classic_form" id="classic_form">
	<div class="wrap">
		<h2><?php _e('Retweet Theme Options', 'retweet'); ?></h2>
 		<table class="form-table">
			<tbody>
				<tr valign="top">
				<th scope="row">
				<strong><?php _e('Option', 'retweet'); ?></strong>
				<br/>
				<small style="font-weight:normal;"><?php _e('Basic option', 'retweet') ?></small>
				</th>
				<td>
				<label title="<?php _e('Enable it to show notice at homepage.You can also use HTML to add a link,js code etc.', 'retweet'); ?>">
					<input name="retweet_notice" type="checkbox" value="checkbox" <?php if($options['retweet_notice']) echo "checked='checked'"; ?> />
					<?php _e('Show Notice(HTML enabled)', 'retweet'); ?>
				</label>
				<br/>
				<label>
					<textarea name="retweet_notice_content" cols="50" rows="2" id="retweet_notice_content" style="width:98%;font-size:12px;overflow:auto;" class="code"><?php echo($options['retweet_notice_content']); ?></textarea>
				</label>
				<br/>
				<label title="<?php _e('Input a description and it is good for SEO.', 'retweet'); ?>">
					<?php _e('Blog description(Input for SEO,text only)', 'retweet'); ?>
				</label>
				<label>
					<textarea name="retweet_description" cols="50" rows="2" id="retweet_description" style="width:98%;font-size:12px;overflow:auto;" class="code"><?php echo($options['retweet_description']); ?></textarea>
				</label>
				<br/>
				<label title="<?php _e('You can use your Feedburner feed instead original.If you don\' need it please leave it blank.', 'retweet'); ?>">
					<?php _e('Custom RSS Feed (Leave blank if you don\'t need it)', 'retweet'); ?>
				</label>
				<label>
					<textarea name="retweet_rss" cols="50" rows="1" id="retweet_rss" style="width:98%;font-size:12px;overflow:hidden;" class="code"><?php echo($options['retweet_rss']); ?></textarea>
				</label>
				<br/>
				<label title="<?php _e('Input your twitter username to show your tweets at homepage', 'retweet'); ?>">
					<?php _e('Your twitter username : ', 'retweet'); ?><textarea name="retweet_twitter_username" cols="50" rows="1" id="retweet_twitter_username" style="width:100px;font-size:12px;overflow:hidden;" class="code"><?php echo($options['retweet_twitter_username']); ?></textarea>
				</label>
				<label title="<?php _e('Input your twitter username to show your tweets at homepage', 'retweet'); ?>">
					<?php _e('Tweet display number :', 'retweet'); ?><textarea name="retweet_twitter_number" cols="50" rows="1" id="retweet_twitter_number" style="width:30px;font-size:12px;overflow:hidden;" class="code"><?php echo($options['retweet_twitter_number']); ?></textarea>
				</label>
				<br/>
				<label title="<?php _e('I recommend you enable it though it doesn\'s work in IE and invalid CSS3', 'retweet'); ?>">
					<input name="retweet_round_border" type="checkbox" value="checkbox" <?php if($options['retweet_round_border']) echo "checked='checked'"; ?> />
					 <?php _e('Use Roundborder(do not work in IE and invalid CSS3).', 'retweet'); ?>
				</label>
				<br/>
				<label title="<?php _e('I recommend you enable it,but first of all you need to make a Logo image for yourself.', 'retweet'); ?>">
					<input name="retweet_logo" type="checkbox" value="checkbox" <?php if($options['retweet_logo']) echo "checked='checked'"; ?> />
					 <?php _e('Use logo image instead of text(The logo image PSD is under the theme image folder)', 'retweet'); ?>
				</label>
				<br/>
				<label title="<?php _e('Wide mode looks better in widescreen.The guests can control it at navmenu and save their habit by cookies.', 'retweet'); ?>">
					<input name="retweet_wide" type="checkbox" value="checkbox" <?php if($options['retweet_wide']) echo "checked='checked'"; ?> />
					<?php _e('Use wide mode default', 'retweet'); ?>
				</label>
				<br/>
				<label title="<?php _e('Open @reply and a link target the comment you reply.', 'retweet'); ?>">
					<input name="retweet_reply" type="checkbox" value="checkbox" <?php if($options['retweet_reply']) echo "checked='checked'"; ?> />
					<?php _e('Use @reply', 'retweet'); ?>
				</label>
				</td>
				</tr>
				<tr valign="top">
				<th scope="row">
				<strong><?php _e('Design', 'retweet'); ?></strong>
				<br/>
				<small style="font-weight:normal;"><?php _e('Just like your twitter!', 'retweet') ?></small>
				</th>
				<td>
				<label title="<?php _e('There is a default twitter style and four add-on style from twittergallery dot com.You can select &quot;Custom Style&quot; to design the style by yourself.', 'retweet'); ?>">
					<?php _e('Stylelist : ', 'retweet'); ?>
					<select style="width:240px;" name="retweet_design_switch" id="retweet_design_switch">
<?php
		if (is_array($styleArray)) {
			foreach ($styleArray as $key =>$style) {
				if ($key == $options['retweet_design_switch']) {
					$styleSelected = ' selected ';
				} else {
					$styleSelected = '';
				}
				echo '<option value="' . $key . '"' . $styleSelected . '>' . $style . '</option>' . "\n";
			}
		} else {
			echo '<option value="0">' . __('Please install a valid style first!', 'retweet') . '</option>';
		}
?>
					</select>
				</label>
				<br/>
				<label title="<?php _e('It works when you select &quot;Custom Style&quot; mode.', 'retweet'); ?>">
					<?php _e('Change background image : ', 'retweet'); ?><br><textarea name="retweet_design_background" cols="50" rows="1" id="retweet_design_background" style="width:98%;font-size:12px;overflow:hidden;" class="code"><?php echo($options['retweet_design_background']); ?></textarea>
				</label>
				<br/>
				<label>
					<input name="retweet_design_background_tile" type="checkbox" value="checkbox" <?php if($options['retweet_design_background_tile']) echo "checked='checked'"; ?> /><?php _e('Tile background', 'retweet'); ?>
				</label>
				<br/>
				<label title="<?php _e('It works when you select &quot;Custom Style&quot; mode.', 'retweet'); ?>">
					<?php _e('Change design colors(Don\'t contain \'#\') : ', 'retweet'); ?>
				</label>
				<br/>
				<label>
					<?php _e('background :', 'retweet'); ?><textarea name="retweet_design_bgcolor" cols="50" rows="1" id="retweet_design_bgcolor" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:#<?php echo($options['retweet_design_bgcolor']); ?>;" class="code"><?php echo($options['retweet_design_bgcolor']); ?></textarea>
				</label>
				<label>
					<?php _e('text :', 'retweet'); ?><textarea name="retweet_design_text" cols="50" rows="1" id="retweet_design_text" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:#<?php echo($options['retweet_design_text']); ?>;" class="code"><?php echo($options['retweet_design_text']); ?></textarea>
				</label>
				<label>
					<?php _e('links :', 'retweet'); ?><textarea name="retweet_design_links" cols="50" rows="1" id="retweet_design_links" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:#<?php echo($options['retweet_design_links']); ?>;" class="code"><?php echo($options['retweet_design_links']); ?></textarea>
				</label>
				<br/>
				<label>
					<?php _e('sidebar :', 'retweet'); ?><textarea name="retweet_design_sidebar" cols="50" rows="1" id="retweet_design_sidebar" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:#<?php echo($options['retweet_design_sidebar']); ?>;" class="code"><?php echo($options['retweet_design_sidebar']); ?></textarea>
				</label>
				<label>
					<?php _e('sidebar border :', 'retweet'); ?><textarea name="retweet_design_sidebarborder" cols="50" rows="1" id="retweet_design_sidebarborder" style="width:80px;font-size:12px;color:#666;overflow:hidden;background:#<?php echo($options['retweet_design_sidebarborder']); ?>;" class="code"><?php echo($options['retweet_design_sidebarborder']); ?></textarea>
				</label>
				<br/>
				</td>
				</tr>
			</tbody>
		</table>
		<p class="submit">
			<input type="submit" name="classic_save" value="<?php _e('Update Options &raquo;', 'retweet'); ?>" />
		</p>
	</div>
</form>
<?php
	}
}
 
add_action('admin_menu', array('ClassicOptions', 'init'));
 
?>